Ubuntu

Don't recognise USB Pendrive -> sr0: disc change detected.

Reported by Alessio Treglia on 2007-07-11
22
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Stefan Bader
Hardy
Medium
Unassigned
Intrepid
Medium
Stefan Bader
Jaunty
Medium
Stefan Bader
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned

Bug Description

SRU justification:

Impact: The gold MP3 player requires an unusual dev quirk to work. The fix was committed to Hardy but not marked SAUCE and not sent upstream. So it got dropped after Hardey.

Fix: The following quirk from Hardy (sent upstream now)

Testcase: See bug report

---

Binary package hint: linux-source-2.6.20

My pendrive is Gold MP3 Player Energy

lsusb:

Bus 001 Device 007: ID 0ed1:7636 WinMaxGroup

cat /proc/bus/usb/devices:

T: Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 8
B: Alloc= 0/800 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-16-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:0f.3
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 4 Ivl=256ms

T: Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 3
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-16-generic ohci_hcd
S: Product=OHCI Host Controller
S: SerialNumber=0000:00:0f.2
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 3
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-16-generic ohci_hcd
S: Product=OHCI Host Controller
S: SerialNumber=0000:00:0f.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 3
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-16-generic ohci_hcd
S: Product=OHCI Host Controller
S: SerialNumber=0000:00:0f.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs= 1
P: Vendor=03f0 ProdID=1604 Rev= 1.00
S: Manufacturer=Hewlett-Packard
S: Product=DeskJet 940C
S: SerialNumber=HU24Q1N16TCO
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr= 2mA
I: If#= 0 Alt= 0 #EPs= 2 Cls=07(print) Sub=01 Prot=02 Driver=usblp
E: Ad=81(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms

T: Bus=01 Lev=01 Prnt=01 Port=02 Cnt=02 Dev#= 7 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0ed1 ProdID=7636 Rev=10.01
S: Manufacturer=TGE
S: Product=Digital MP3 Audio Player
S: SerialNumber=23DE8E2A95F5C80E
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E: Ad=81(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms
alessio@quadrispro-desktop:~$ uname -r
2.6.20-16-generic
alessio@quadrispro-desktop:~$ lsusb
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 007: ID 0ed1:7636 WinMaxGroup
Bus 001 Device 003: ID 03f0:1604 Hewlett-Packard DeskJet 940c
Bus 001 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
alessio@quadrispro-desktop:~$ cat /proc/bus/usb/devices

T: Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 8
B: Alloc= 0/800 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-16-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:0f.3
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 4 Ivl=256ms

T: Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 3
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-16-generic ohci_hcd
S: Product=OHCI Host Controller
S: SerialNumber=0000:00:0f.2
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 3
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-16-generic ohci_hcd
S: Product=OHCI Host Controller
S: SerialNumber=0000:00:0f.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 3
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-16-generic ohci_hcd
S: Product=OHCI Host Controller
S: SerialNumber=0000:00:0f.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs= 1
P: Vendor=03f0 ProdID=1604 Rev= 1.00
S: Manufacturer=Hewlett-Packard
S: Product=DeskJet 940C
S: SerialNumber=HU24Q1N16TCO
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr= 2mA
I: If#= 0 Alt= 0 #EPs= 2 Cls=07(print) Sub=01 Prot=02 Driver=usblp
E: Ad=81(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms

T: Bus=01 Lev=01 Prnt=01 Port=02 Cnt=02 Dev#= 7 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0ed1 ProdID=7636 Rev=10.01
S: Manufacturer=TGE
S: Product=Digital MP3 Audio Player
S: SerialNumber=23DE8E2A95F5C80E
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E: Ad=81(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms

dmesg:

[...]

[ 2157.048065] sr0: disc change detected.
[ 2157.065064] sr0: disc change detected.
[ 2157.082050] sr0: disc change detected.
[ 2157.099050] sr0: disc change detected.
[ 2157.116064] sr0: disc change detected.
[ 2157.133070] sr0: disc change detected.
[ 2157.150048] sr0: disc change detected.
[ 2157.167056] sr0: disc change detected.
[ 2158.139386] sd 5:0:0:1: ioctl_internal_command return code = 8000002
[ 2158.139390] : Current: sense key: No Sense
[ 2158.139393] Additional sense: No additional sense information
[ 2158.310886] sr0: disc change detected.
[ 2158.319393] sr0: disc change detected.
[ 2158.327890] sr0: disc change detected.
[ 2158.336393] sr0: disc change detected.

[...]

Chuck Short (zulcss) wrote :

Thanks added to the usb black list for gutsy.

Changed in linux-source-2.6.20:
status: New → Fix Committed
Tim Gardner (timg-tpi) wrote :

Gutsy commit 59b8fd6afbfaa450fa3e2de4825a1d35599d8696

Changed in linux-source-2.6.22:
assignee: nobody → timg-tpi
importance: Undecided → Low
status: New → Confirmed
status: Confirmed → Fix Committed
Ben Collins (ben-collins) wrote :
Download full text (4.0 KiB)

linux-source-2.6.22 (2.6.22-11.32) gutsy; urgency=low

  [Amit Kucheria]

  * Build system: Allow custom builds to comprise multiple patches
  * Move UME to a Custom build and add first setup of thermal framework

  [Ben Collins]

  * ubuntu: Enable CONFIG_BLK_DEV_IO_TRACE
  * bcm203x: Fix firmware loading
    - LP: #85247
  * ubuntu: mtd changes caused module renaming. Ignore
  * rt: Do not patch top level Makefile for SUBLEVEL. Will always end up
    breaking

  [Chuck Short]

  * [USB] Unusual Device support for Gold MP3 Player Energy
    - LP: #125250
  * [SIERRA] Adds support for Onda H600 ZTE MF330
    - LP: #129433
  * [HDAPS] Add Thinkpad T61P to whitelist.
    - LP: #133636
  * [USB] Add support for Toshiba (Novatel Wireless) HSDPA for M400.
    - LP: #133650

  [Kyle McMartin]

  * apparmor 10.3 hooks
  * unionfs 2.1 hooks
  * nuke UNION_FS stuff from fs/{Kconfig,Makefile}

  [Tim Gardner]

  * Paravirt-ops I/O hypercalls
  * Fix lazy vmalloc bug for Gutsy
  * bluetooth headset patch
    - LP: #130870
  * Add the PCI ID of this ICH4 in list of laptops that use short cables.
  * v2.6.22.5 merge
  * Update Xen config options.
    - LP: #132726
  * Remove mtd modules from ABI
  * Support parallel=<n> in DEB_BUILD_OPTIONS
    - LP: #136426

  [Upstream Kernel Changes]

  * hwmon: fix w83781d temp sensor type setting
  * hwmon: (smsc47m1) restore missing name attribute
  * sky2: restore workarounds for lost interrupts
  * sky2: carrier management
  * sky2: check for more work before leaving NAPI
  * sky2: check drop truncated packets
  * revert "x86, serial: convert legacy COM ports to platform devices"
  * ACPICA: Fixed possible corruption of global GPE list
  * ACPICA: Clear reserved fields for incoming ACPI 1.0 FADTs
  * AVR32: Fix atomic_add_unless() and atomic_sub_unless()
  * r8169: avoid needless NAPI poll scheduling
  * forcedeth: fix random hang in forcedeth driver when using netconsole
  * libata: add ATI SB700 device IDs to AHCI driver
  * Hibernation: do not try to mark invalid PFNs as nosave
  * i386: allow debuggers to access the vsyscall page with compat vDSO
  * x86_64: Check for .cfi_rel_offset in CFI probe
  * x86_64: Change PMDS invocation to single macro
  * i386: Handle P6s without performance counters in nmi watchdog
  * i386: Fix double fault handler
  * JFFS2 locking regression fix.
  * [Input]: appletouch - improve powersaving for Geyser3 devices
  * [Input]: add driver for Fujitsu serial touchscreens
  * [sdhci]: add support to ENE-CB714
  * v2.6.22.5
  * [MTD] Makefile fix for mtdsuper
  * ocfs2: Fix bad source start calculation during kernel writes
  * NET: Share correct feature code between bridging and bonding
  * sky2: don't clear phy power bits
  * uml: fix previous request size limit fix
  * i386: fix lazy mode vmalloc synchronization for paravirt
  * signalfd: fix interaction with posix-timers
  * signalfd: make it group-wide, fix posix-timers scheduling
  * DCCP: Fix DCCP GFP_KERNEL allocation in atomic context
  * IPV6: Fix kernel panic while send SCTP data with IP fragments
  * IPv6: Invalid semicolon after if statement
  * Fix soft-fp underflow handling.
  * Netfilter: Missing Kbuild entry for netfil...

Read more...

Changed in linux-source-2.6.22:
status: Fix Committed → Fix Released
Alessio Treglia (quadrispro) wrote :

After the upgrade to Gutsy RC pendrive doesn't work...

Changed in linux-source-2.6.22:
status: Fix Released → Confirmed
Tim Gardner (timg-tpi) wrote :

Retarget for Hardy

Changed in linux-source-2.6.22:
assignee: timg-tpi → nobody
milestone: tribe-6 → hardy-alpha-2
Steve Langasek (vorlon) on 2008-01-04
Changed in linux:
milestone: hardy-alpha-2 → none

Hi Alessio,

Can you confirm the issue still exists in the latest Hardy kernel release 2.6.24-7.12? Thanks.

Changed in linux-source-2.6.20:
status: Fix Committed → Won't Fix
Changed in linux:
status: Confirmed → Incomplete
Alessio Treglia (quadrispro) wrote :

I can confirm that the issue still exists in the latest kernel release 2.6.24-8.14-generic

Alessio Treglia (quadrispro) wrote :

I can confirm this bug for the kernel release 2.6.24-11-generic (hardy) too...

Alessio Treglia (quadrispro) wrote :
Download full text (26.8 KiB)

About this bug on hardy:

uname -r
2.6.24-11-generic

syslog messages:
Mar 8 17:31:24 quadrispro-desktop kernel: [ 931.868780] usb 2-3: new full speed USB device using ohci_hcd and address 5
Mar 8 17:31:25 quadrispro-desktop kernel: [ 932.254379] usb 2-3: configuration #1 chosen from 1 choice
Mar 8 17:31:25 quadrispro-desktop kernel: [ 932.265359] scsi5 : SCSI emulation for USB Mass Storage devices
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.411716] scsi 5:0:0:0: Direct-Access Digital MP3 Player 0100 PQ: 0 ANSI: 4
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.419718] sd 5:0:0:0: [sda] 1011968 512-byte hardware sectors (518 MB)
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.423224] sd 5:0:0:0: [sda] Write Protect is off
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.430706] sd 5:0:0:0: ioctl_internal_command return code = 8000002
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.430709] : Sense Key : No Sense [current]
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.430712] : Add. Sense: No additional sense information
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.436207] sd 5:0:0:0: [sda] 1011968 512-byte hardware sectors (518 MB)
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.439707] sd 5:0:0:0: [sda] Write Protect is off
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.439717] sda:<6>sd 5:0:0:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_RETRY
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.486213] end_request: I/O error, dev sda, sector 0
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.486216] printk: 42 messages suppressed.
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.516204] sd 5:0:0:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_RETRY
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.516208] end_request: I/O error, dev sda, sector 0
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.549205] sd 5:0:0:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_RETRY
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.549212] end_request: I/O error, dev sda, sector 0
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.579206] sd 5:0:0:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_RETRY
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.579212] end_request: I/O error, dev sda, sector 0
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.609206] sd 5:0:0:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_RETRY
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.609211] end_request: I/O error, dev sda, sector 0
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.639201] sd 5:0:0:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_RETRY
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.639205] end_request: I/O error, dev sda, sector 0
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.669201] sd 5:0:0:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_RETRY
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.669205] end_request: I/O error, dev sda, sector 0
Mar 8 17:31:30 quadrispro-desktop kernel: [ 935.699203] sd 5:0:0:0: [sda] Result: hostbyte=DID_ERROR driverbyte=DRIVER_OK,SUGGEST_RETRY
Mar ...

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Low → Medium
status: Incomplete → Triaged
Changed in linux:
milestone: none → ubuntu-8.04.1
Steve Langasek (vorlon) on 2008-06-05
Changed in linux:
milestone: ubuntu-8.04.1 → none
Steve Langasek (vorlon) on 2008-06-18
Changed in linux:
milestone: ubuntu-8.04.1 → none
Ohb01 (ohb01) wrote :
Download full text (16.7 KiB)

I am forced to use Hardy with kernel 2.6.20-16-generic (later kernel versions result in no sound and/or no suspend/hibernate despite my best efforts so far). I confirm that I have an issue with mounting USB devices as well. I have a Dell Dimension 4700 with BIOS Rev. A10. Plugging in a Logitech USB mouse always works. Any external USB hard disks are mounted only if they are connected and turned on when the system starts up. But:

1. Plugging in external USB hard disks after system start-up results in very brief activity of the internal hard disk, as if the system notices something, but then nothing happens: no icon on the desktop or in My Computer.

2. Plugging in a camera via USB opens up f-spot manager, sometimes it asks about importing photos, sometimes it asks me to confirm the camera model (Canon SD 700 IS, which it calls Canon IXUS 800, I think), but in any event it always errors out with "Error connecting to camera. Received error 'Could not claim USB device' while connecting to camera" .

3. Plugging in an SD card via a USB card reader produces no results -- all of the USB card reader slots are shown as "unable to mount" or "media empty -- format?" despite the card being full of data.

There are no USB problems when I boot the same computer into Windows XP (MCE, SP2) -- except that Windows had somehow lost the "Safe Removal" icon, so I need to shut down Windows full or or restart it to unmount any external USB storage devices. Mounting properly unmounted devices back in Hardy with kernel 2.6.20-16-generic only works for external USB hard disks, and only when they are already plugged in and turned on at start-up.

lsusb
Bus 001 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 004 Device 004: ID 046d:c01a Logitech, Inc.
Bus 004 Device 001: ID 0000:0000
Bus 005 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000

cat /proc/bus/usb/devices
cat: /proc/bus/usb/devices: No such file or directory

dmesg
[...]
[ 5112.611821] usb 5-7: new high speed USB device using ehci_hcd and address 8
[ 5112.776247] usb 5-7: configuration #1 chosen from 1 choice
[ 5121.535133] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.535452] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.535613] FAT: Directory bread(block 476908) failed
[ 5121.535734] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.535852] FAT: Directory bread(block 476909) failed
[ 5121.535971] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.536088] FAT: Directory bread(block 476910) failed
[ 5121.536207] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.536324] FAT: Directory bread(block 476911) failed
[ 5121.536442] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.536559] FAT: Directory bread(block 476912) failed
[ 5121.536678] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.536793] FAT: Directory bread(block 476913) failed
[ 5121.536910] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.537026] FAT: Directory bread(block 476914) failed
[ 5121.537141] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.537258] FAT: Directory bread(block 476915) failed
[ 5121.537375] scsi 4:0:0:0: rejecting I/O to dead device
[ 5121.537491] FAT: Directory bread(block 476916)...

Ohb01 (ohb01) wrote :
Download full text (62.5 KiB)

Update:

After plugging in and turning on the above Canon camera, i got the same error message from f-spot as before.
Extract from syslog:

[...]
Jun 22 21:59:33 U-desktop kernel: [ 6873.283825] usb 5-7: new high speed USB device using ehci_hcd and address 10
Jun 22 21:59:33 U-desktop kernel: [ 6873.444660] usb 5-7: configuration #1 chosen from 1 choice
Jun 22 21:59:33 U-desktop NetworkManager: <debug> [1214186373.887071] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_4a9_3119_noserial').
Jun 22 21:59:33 U-desktop NetworkManager: <debug> [1214186373.940328] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_4a9_3119_noserial_if0').
Jun 22 21:59:34 U-desktop NetworkManager: <debug> [1214186374.374687] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_4a9_3119_noserial_usbraw').
Jun 22 21:59:55 U-desktop kernel: [ 6895.459598] usb 5-7: USB disconnect, address 10
[...]

In contrast, I've just turned on a specific external USB HD (Western Digital "My Book" 1 TB) after I had started the computer, and eventually it was mounted. It even asked about automatic media handling, which I declined. The disk was accessible, though there were two icons for it on the desktop, one with no content, and one with the correct disk directory listing.

Extract from syslog:
[...]
Jun 22 21:51:07 U-desktop kernel: [ 6367.007321] usb 5-4: new high speed USB device using ehci_hcd and address 9
Jun 22 21:51:07 U-desktop kernel: [ 6367.140436] usb 5-4: configuration #1 chosen from 1 choice
Jun 22 21:51:07 U-desktop kernel: [ 6367.140691] scsi7 : SCSI emulation for USB Mass Storage devices
Jun 22 21:51:07 U-desktop kernel: [ 6367.140934] usb-storage: device found at 9
Jun 22 21:51:07 U-desktop kernel: [ 6367.140937] usb-storage: waiting for device to settle before scanning
Jun 22 21:51:07 U-desktop NetworkManager: <debug> [1214185867.274295] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_1058_1100_57442D574341534A31313638303831').
Jun 22 21:51:07 U-desktop NetworkManager: <debug> [1214185867.723703] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_1058_1100_57442D574341534A31313638303831_if0').
Jun 22 21:51:07 U-desktop NetworkManager: <debug> [1214185867.729989] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/usb_device_1058_1100_57442D574341534A31313638303831_usbraw').
Jun 22 21:51:12 U-desktop kernel: [ 6372.136590] usb-storage: device scan complete
Jun 22 21:51:12 U-desktop kernel: [ 6372.137097] scsi 7:0:0:0: Direct-Access WD 10EACS External 1.65 PQ: 0 ANSI: 4
Jun 22 21:51:12 U-desktop kernel: [ 6372.138449] SCSI device sdc: 1953525168 512-byte hdwr sectors (1000205 MB)
Jun 22 21:51:12 U-desktop kernel: [ 6372.139319] sdc: Write Protect is off
Jun 22 21:51:12 U-desktop kernel: [ 6372.139325] sdc: Mode Sense: 21 00 00 00
Jun 22 21:51:12 U-desktop kernel: [ 6372.139332] sdc: assuming drive cache: write through
Jun 22 21:51:12 U-desktop kernel: [ 6372.140191] SCSI device sdc: 1953525168 512-byte hdwr ...

Alessio Treglia (quadrispro) wrote :

I can confirm this bug for kernel release 2.6.24-19-generic (hardy)...

Ohb01 (ohb01) wrote :

This issue seems to be gradually getting fixed on my system (Dell Dimension 4700 with BIOS Rev. A10). In contrast wit the experience of Alessio Treglia's (see https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/125250/comments/12 ), all of the USB problems seem to be resolved for me if I use kernel release 2.6.24-19-generic (Hardy).

I'm not sure if one or more automatic update(s) have changed something. I have the Proposed repository enabled, and I always accept kernel- and driver-related updates. I've noticed that there have been quite a few changes to 2.6.24-19-generic that start out in Proposed and eventually make their way to Recommended.

Even mounting the USB camera works in 2.6.24-19-generic for me, but only after following the instructions at
http://ubuntuforums.org/showpost.php?p=4979460&postcount=2

With kernel 2.6.20-16-generic (Hardy), everything seems to work, except that the USB camera importing errors out -- images are listed in F-Spot, but fail to actually import. I'm not sure if this is an issue in F-Spot or something to do with the more general USB bug that is the main topic of this discussion. (I can provide more details on the error if it would help.)

I got into kernel issues originally due to Hibernate/Suspend problems, and unfortunately 2.6.24-19-generic still does not do it for me.

For now, I boot into 2.6.24-19-generic if I need to import photos, and restart into 2.6.20-16-generic if I need to be able to Suspend/Hibernate.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

We'll keep this open against the actively developed kernel but against 2.6.20 this will be closed. Thanks.

Changed in linux-source-2.6.20:
status: Fix Committed → Won't Fix

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Launchpad Janitor (janitor) wrote :
Download full text (264.1 KiB)

This bug was fixed in the package linux - 2.6.24-23.48

---------------
linux (2.6.24-23.48) hardy-security; urgency=low

  [Upstream Kernel Changes]

  * ATM: CVE-2008-5079: duplicate listen() on socket corrupts the vcc table
    - CVE-2008-5079
  * libertas: fix buffer overrun
    - CVE-2008-5134
  * Fix inotify watch removal/umount races
    - CVE-2008-5182
  * net: Fix soft lockups/OOM issues w/ unix garbage collector
    - CVE-2008-5300
  * Enforce a minimum SG_IO timeout
    - CVE-2008-5700
  * ib700wdt.c - fix buffer_underflow bug
    - CVE-2008-5702

linux (2.6.24-23.46) hardy-proposed; urgency=low

  [Alessio Igor Bogani]

  * rt: Updated PREEMPT_RT support to rt21
    - LP: #302138

  [Amit Kucheria]

  * SAUCE: Update lpia patches from moblin tree
    - LP: #291457

  [Andy Whitcroft]

  * SAUCE: replace gfs2_bitfit with upstream version to prevent oops
    - LP: #276641

  [Colin Ian King]

  * isdn: Do not validate ISDN net device address prior to interface-up
    - LP: #237306
  * hwmon: (coretemp) Add Penryn CPU to coretemp
    - LP: #235119
  * USB: add support for Motorola ROKR Z6 cellphone in mass storage mode
    - LP: #263217
  * md: fix an occasional deadlock in raid5
    - LP: #208551

  [Stefan Bader]

  * SAUCE: buildenv: Show CVE entries in printchanges
  * SAUCE: buildenv: Send git-ubuntu-log informational message to stderr
  * Xen: dma: avoid unnecessarily SWIOTLB bounce buffering
    - LP: #247148
  * Update openvz patchset to apply to latest stable tree.
    - LP: #301634
  * XEN: Fix FTBS with stable updates
    - LP: #301634

  [Steve Conklin]

  * Add HID quirk for dual USB gamepad
    - LP: #140608

  [Tim Gardner]

  * Enable CONFIG_AX25_DAMA_SLAVE=y
    - LP: #257684
  * SAUCE: Correctly blacklist Thinkpad r40e in ACPI
    - LP: #278794
  * SAUCE: ALPS touchpad for Dell Latitude E6500/E6400
    - LP: #270643

  [Upstream Kernel Changes]

  * Revert "[Bluetooth] Eliminate checks for impossible conditions in IRQ
    handler"
    - LP: #217659
  * KVM: VMX: Clear CR4.VMXE in hardware_disable
    - LP: #268981
  * iov_iter_advance() fix
    - LP: #231746
  * Fix off-by-one error in iov_iter_advance()
    - LP: #231746
  * USB: serial: ch341: New VID/PID for CH341 USB-serial
    - LP: #272485
  * x86: Fix 32-bit x86 MSI-X allocation leakage
    - LP: #273103
  * b43legacy: Fix failure in rate-adjustment mechanism
    - LP: #273143
  * x86: Reserve FIRST_DEVICE_VECTOR in used_vectors bitmap.
    - LP: #276334
  * openvz: merge missed fixes from vanilla 2.6.24 openvz branch
    - LP: #298059
  * openvz: some autofs related fixes
    - LP: #298059
  * openvz: fix ve stop deadlock after nfs connect
    - LP: #298059
  * openvz: fix netlink and rtnl inside container
    - LP: #298059
  * openvz: fix wrong size of ub0_percpu
    - LP: #298059
  * openvz: fix OOPS while stopping VE started before binfmt_misc.ko loaded
    - LP: #298059
  * x86-64: Fix "bytes left to copy" return value for copy_from_user()
  * NET: Fix race in dev_close(). (Bug 9750)
    - LP: #301608
  * IPV6: Fix IPsec datagram fragmentation
    - LP: #301608
  * IPV6: dst_entry leak in ip4ip6_err.
    - LP: #301608
  * IPV4: Remove IP_TOS setting priv...

Changed in linux:
status: Triaged → Fix Released
Stefan Bader (smb) on 2009-04-14
Changed in linux (Ubuntu):
assignee: nobody → stefan-bader-canonical
status: Triaged → In Progress
Tim Gardner (timg-tpi) on 2009-04-14
Changed in linux-source-2.6.20 (Ubuntu Intrepid):
status: New → Invalid
Changed in linux-source-2.6.20 (Ubuntu Jaunty):
status: Won't Fix → Invalid
Changed in linux (Ubuntu Intrepid):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
importance: Undecided → Medium
status: New → In Progress
Stefan Bader (smb) on 2009-04-16
Changed in linux (Ubuntu Intrepid):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Jaunty):
status: In Progress → Fix Committed
description: updated
Steve Langasek (vorlon) wrote :

Accepted linux into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Beattie (sbeattie) on 2009-05-01
tags: added: hw-specific
Martin Pitt (pitti) wrote :

Accepted linux into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.28-13.44

---------------
linux (2.6.28-13.44) jaunty-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: [jaunty] ALSA: Add retry for Intel8x0 clock measurement"
  * Revert "SAUCE: [jaunty] ALSA: Fix clock and buffer calculations for
    Intel8x0"
  * Revert "SAUCE: [jaunty] ALSA: Fix buffer positions and checks"

linux (2.6.28-12.43) jaunty-proposed; urgency=low

  [ Amit Kucheria ]

  * Enable SYN_COOKIES for iop32x and versatile flavours
    - LP: #361687
  * SAUCE: Quirk for BT USB device on MacbookPro to be reset before use
    - LP: #332443

  [ Brad Figg ]

  * [jaunty] Add missing mvsas (Marvel SAS 6440) module configuration.
    - LP: #352336

  [ Chuck Short ]

  * SAUCE: [USB] Unusual Device support for Gold MP3 Player Energy
    - LP: #125250

  [ Daniel T Chen ]

  * SAUCE: [jaunty] ALSA: Fix buffer positions and checks
    - LP: #345627
  * SAUCE: [jaunty] ALSA: Fix clock and buffer calculations for Intel8x0
    - LP: #345627
  * SAUCE: [jaunty] ALSA: Add retry for Intel8x0 clock measurement
    - LP: #345627

  [ Luke Yelavich ]

  * disable CONFIG_SND_HDA_INPUT_BEEP on amd64 and i386
    - LP: #331589

  [ Makito SHIOKAWA ]

  * [ARM] 5404/1: Fix condition in arm_elf_read_implies_exec() to set
    READ_IMPLIES_EXEC
    - LP: #364358

  [ Manoj Iyer ]

  * SAUCE: Added quirk to fix key release for Samsung NC20
    - LP: #360247

  [ Oleg Nesterov ]

  * posix timers: fix RLIMIT_CPU && fork()
    - LP: #361508

  [ Scott James Remnant ]

  * [Config] Disable libusual and the ub driver
    - LP: #364538

  [ Stefan Bader ]

  * Disable unwanted staging builds
    - LP: #366144
  * Remove prism2_usb driver from ubuntu and use the one from staging
    - LP: #325366
  * SAUCE: Make rtl8187se depend on WIRELESS_EXT
    - LP: #366144
  * Disable CONFIG_RTL8187SE for armel.versatile
    - LP: #366144

  [ Tejun Heo ]

  * libata: handle SEMB signature better
    - LP: #257790

  [ Tim Gardner ]

  * Set USB_SERIAL=m for i386/amd64
    - LP: #345002
  * SAUCE: Jaunty - aic79xx - set reset delay to 5 seconds, down from 15.
    - LP: #79542
  * SAUCE: (drop after 2.6.28) Wifi suspend/resume scan timeout fixes
    - LP: #336055
  * Sony laptop: Sony Vaio laptops do not enable wwan power by default.
    - LP: #364678

  [ Tyler Hicks ]

  * SAUCE: (drop after 2.6.28) eCryptfs: Larger buffer for encrypted
    symlink targets
    - LP: #357345

  [ Upstream Kernel Changes ]

  * V4L/DVB (9999): gspca - zc3xx: Webcam 046d:089d added.
    - LP: #326674
  * V4L/DVB (10044): gspca - pac7311: Webcam 093a:2620 added.
    - LP: #363195
  * hwmon: (it87) Add support for the ITE IT8720F
    - LP: #357766
  * vgacon: Return the upper half of 512 character fonts
    - LP: #355057
  * drm/i915: add support for G41 chipset
    - LP: #365958

 -- Stefan Bader <email address hidden> Mon, 25 May 2009 17:30:40 +0200

Changed in linux (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.27-14.41

---------------
linux (2.6.27-14.41) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
    - LP: #300143

linux (2.6.27-14.40) intrepid-proposed; urgency=low

  [ Amit Kucheria ]

  * Disable DEVKMEM for all archs on Intrepid
    - LP: #354221
  * SAUCE: Quirk for BT USB device on MacbookPro to be reset before use
    - LP: #332443

  [ Andy Isaacson ]

  * LIRC_PVR150: depends on VIDEO_IVTV
    - LP: #341477
  * SAUCE: FSAM7400: select CHECK_SIGNATURE
    - LP: #341712

  [ Andy Whitcroft ]

  * SAUCE: hotkey quirks for various Zepto Znote and Fujitsu Amilo laptops
    - LP: #330259
  * SAUCE: unusual devs: add an entry for the ScanLogic SL11R-IDE 0.78
    - LP: #336189

  [ Anton Veretenenko ]

  * SAUCE: sony-laptop: add support for Sony Vaio FW series function/media
    keys
    - LP: #307592

  [ Ayaz Abdulla ]

  * SAUCE: forcedeth: msi interrupt fix
    - LP: #288281

  [ Chuck Short ]

  * SAUCE: [USB] Unusual Device support for Gold MP3 Player Energy
    - LP: #125250

  [ Ike Panhc ]

  * squashfs: correct misspelling
    - LP: #322306
  * SAUCE: Fixing symbol name in HECI module
    - LP: #336549
  * Copy header files for various kernel media driver
    - LP: #322732

  [ Stefan Bader ]

  * SAUCE: vgacon: Return the upper half of 512 character fonts
    - LP: #355057
  * SAUCE: input: Blacklist digitizers from joydev.c
    - LP: #300143

  [ Upstream Kernel Changes ]

  * libata: make sure port is thawed when skipping resets
    - LP: #269652
  * x86-64: fix int $0x80 -ENOSYS return
    - LP: #339743
  * rt2x00: Fix race conditions in flag handling
    - LP: #258985
  * USB: cdc-acm: Add another conexant modem to the quirks
    - LP: #323829
  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502
  * hwmon: (abituguru3) Match partial DMI board name strings
    - LP: #298798
  * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
    - LP: #292619
  * sis190: add identifier for Atheros AR8021 PHY
    - LP: #247889
  * ath9k: implement IO serialization
    - LP: #373034
  * ath9k: AR9280 PCI devices must serialize IO as well
    - LP: #373034
  * acer-wmi: fix regression in backlight detection
    - LP: #333386

 -- Stefan Bader <email address hidden> Wed, 26 Aug 2009 11:48:11 +0200

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Jeremy Foshee (jeremyfoshee) wrote :

Marking top level task as Fix Released as it was overlooked.

-JFo

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers